## golang-github-hashicorp-memberlist 0.0~git20150921.0.28424fb

=== debian/changelog ===
golang-github-hashicorp-memberlist (0.0~git20150921.0.28424fb-1) unstable; urgency=medium

  * Initial release

 -- Tianon Gravi <tianon@debian.org>  Wed, 21 Oct 2015 15:39:43 -0700

## golang-github-hashicorp-memberlist 0.2.2

=== Makefile ===
SHELL := bash

GOFILES ?= $(shell go list ./... | grep -v /vendor/)

default: test

test: vet subnet
	go test ./...

integ: subnet
	INTEG_TESTS=yes go test ./...

subnet:
	./test/setup_subnet.sh

cov:
	go test ./... -coverprofile=coverage.out
	go tool cover -html=coverage.out

format:
	@echo "--> Running go fmt"
	@go fmt $(GOFILES)

vet:
	@echo "--> Running go vet"
	@go vet -tags '$(GOTAGS)' $(GOFILES); if [ $$? -eq 1 ]; then \
		echo ""; \
		echo "Vet found suspicious constructs. Please check the reported constructs"; \
		echo "and fix them if necessary before submitting the code for review."; \
		exit 1; \
	fi

.PHONY: default test integ subnet cov format vet

## golang-github-hashicorp-memberlist 0.0~git20160225.0.ae9a8d9

=== debian/changelog ===
golang-github-hashicorp-memberlist (0.0~git20160225.0.ae9a8d9-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot.
  * Ignore failures in tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 06 Mar 2016 13:58:13 +1100

=== debian/control ===
Source: golang-github-hashicorp-memberlist
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tianon Gravi <tianon@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-github-armon-go-metrics-dev,
               golang-github-hashicorp-go-msgpack-dev,
               golang-go
Standards-Version: 3.9.6
Homepage: https://github.com/hashicorp/memberlist
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-hashicorp-memberlist.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-hashicorp-memberlist.git
XS-Go-Import-Path: github.com/hashicorp/memberlist

Package: golang-github-hashicorp-memberlist-dev
Architecture: all
Depends: golang-github-armon-go-metrics-dev,
         golang-github-hashicorp-go-msgpack-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Golang package for gossip based membership and failure detection
 memberlist is a Go library that manages cluster membership and member failure
 detection using a gossip based protocol.
 .
 The use cases for such a library are far-reaching: all distributed systems
 require membership, and memberlist is a re-usable solution to managing cluster
 membership and node failure detection.
 .
 memberlist is eventually consistent but converges quickly on average. The speed
 at which it converges can be heavily tuned via various knobs on the protocol.
 Node failures are detected and network partitions are partially tolerated by
 attempting to communicate to potentially dead nodes through multiple routes.
 This package contains the source.

## golang-github-hashicorp-memberlist 0.0~git20160329.0.88ac4de

=== debian/changelog ===
golang-github-hashicorp-memberlist (0.0~git20160329.0.88ac4de-2) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Team upload.
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Konstantinos Margaritis ]
  * Replace golang-go with golang-any in Build-Depends

 -- Konstantinos Margaritis <markos@debian.org>  Tue, 08 Aug 2017 16:44:20 +0300

golang-github-hashicorp-memberlist (0.0~git20160329.0.88ac4de-1) unstable; urgency=medium

  * Team upload
  * New upstream snapshot (Closes: #822930)
  * Add new dependencies and update to standards version 3.9.8
  * Add d/watch file

 -- Tim Potter <tpot@hpe.com>  Fri, 06 May 2016 11:43:45 +1000

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,26 @@
 Section: devel
 Priority: extra
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Tianon Gravi <tianon@debian.org>
+Uploaders: Tianon Gravi <tianon@debian.org>, Tim Potter <tpot@hpe.com>
 Build-Depends: debhelper (>= 9),
                dh-golang,
+               golang-dns-dev,
                golang-github-armon-go-metrics-dev,
                golang-github-hashicorp-go-msgpack-dev,
-               golang-go
-Standards-Version: 3.9.6
+               golang-github-hashicorp-go-multierror-dev,
+               golang-any
+Standards-Version: 3.9.8
 Homepage: https://github.com/hashicorp/memberlist
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-hashicorp-memberlist.git
-Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-hashicorp-memberlist.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-hashicorp-memberlist.git
 XS-Go-Import-Path: github.com/hashicorp/memberlist
 
 Package: golang-github-hashicorp-memberlist-dev
 Architecture: all
-Depends: golang-github-armon-go-metrics-dev,
+Depends: golang-dns-dev,
+         golang-github-armon-go-metrics-dev,
          golang-github-hashicorp-go-msgpack-dev,
+         golang-github-hashicorp-go-multierror-dev,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Golang package for gossip based membership and failure detection

=== debian/watch ===
version=3
 https://github.com/hashicorp/memberlist/releases \
 .*/v?(\d[\d\.]*)\.tar\.gz

## golang-github-hashicorp-memberlist 0.1.0

=== debian/changelog ===
golang-github-hashicorp-memberlist (0.1.0-2) unstable; urgency=medium

  * Re-upload after the package was removed accidentally.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 28 Oct 2017 13:14:02 +0200

golang-github-hashicorp-memberlist (0.1.0-1) unstable; urgency=medium

  * Team upload.
  * Update debian/watch.
  * New upstream release.
  * Vendor trivial dependency github.com/sean-/seed.
  * Add new dependency on go-sockaddr.
  * debian/control: Update Standards-Version (no changes).
  * debian/control: Mark package as autopkgtest-able.
  * debian/copyright: Format uses insecure http protocol instead of
    https
  * Stop ignoring test failures.
  * Fix (or skip) failing tests.
  * Automatic packaging fixes by cme and pkg-go-common-fixes.

 -- Martín Ferrari <tincho@debian.org>  Mon, 23 Oct 2017 05:53:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: golang-github-hashicorp-memberlist
+Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Uploaders: Tianon Gravi <tianon@debian.org>,
+           Tim Potter <tpot@hpe.com>,
 Section: devel
-Priority: extra
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Tianon Gravi <tianon@debian.org>, Tim Potter <tpot@hpe.com>
+Testsuite: autopkgtest-pkg-go
+Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-golang,
+               golang-any,
                golang-dns-dev,
                golang-github-armon-go-metrics-dev,
                golang-github-hashicorp-go-msgpack-dev,
                golang-github-hashicorp-go-multierror-dev,
-               golang-any
-Standards-Version: 3.9.8
-Homepage: https://github.com/hashicorp/memberlist
+               golang-github-hashicorp-go-sockaddr-dev,
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-hashicorp-memberlist.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-hashicorp-memberlist.git
+Homepage: https://github.com/hashicorp/memberlist
 XS-Go-Import-Path: github.com/hashicorp/memberlist
 
 Package: golang-github-hashicorp-memberlist-dev
@@ -22,8 +25,9 @@
          golang-github-armon-go-metrics-dev,
          golang-github-hashicorp-go-msgpack-dev,
          golang-github-hashicorp-go-multierror-dev,
+         golang-github-hashicorp-go-sockaddr-dev,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Golang package for gossip based membership and failure detection
  memberlist is a Go library that manages cluster membership and member failure
  detection using a gossip based protocol.

## golang-github-hashicorp-memberlist 0.1.0%2Bgit20180209.2288bf30

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11~),
                dh-golang,
                golang-any,
                golang-dns-dev,
@@ -13,9 +13,9 @@
                golang-github-hashicorp-go-msgpack-dev,
                golang-github-hashicorp-go-multierror-dev,
                golang-github-hashicorp-go-sockaddr-dev,
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-hashicorp-memberlist.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-hashicorp-memberlist.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-memberlist
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-memberlist.git
 Homepage: https://github.com/hashicorp/memberlist
 XS-Go-Import-Path: github.com/hashicorp/memberlist

## golang-github-hashicorp-memberlist 0.1.0+git20180209.2288bf30

=== debian/changelog ===
golang-github-hashicorp-memberlist (0.1.0+git20180209.2288bf30-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Dmitry Smirnov ]
  * New upstream snapshot.
  * Standards-Version: 4.1.4
  * debhelper & compat to version 11

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 26 Jun 2018 16:58:36 +1000

## golang-github-hashicorp-memberlist 0.1.5

=== debian/changelog ===
golang-github-hashicorp-memberlist (0.1.5-2) unstable; urgency=medium

  * New patch to disable failing test.

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 27 Sep 2019 11:26:42 +1000

golang-github-hashicorp-memberlist (0.1.5-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.4.0.
  * DH & compat to version 12.
  * Added myself to Uploaders.
  * (Build-)Depends:
    + golang-github-google-btree-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 26 Sep 2019 22:28:30 +1000

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,20 @@
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Tianon Gravi <tianon@debian.org>,
            Tim Potter <tpot@hpe.com>,
+           Dmitry Smirnov <onlyjob@debian.org>,
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 12~),
                dh-golang,
                golang-any,
                golang-dns-dev,
                golang-github-armon-go-metrics-dev,
+               golang-github-google-btree-dev,
                golang-github-hashicorp-go-msgpack-dev,
                golang-github-hashicorp-go-multierror-dev,
                golang-github-hashicorp-go-sockaddr-dev,
-Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-memberlist
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-memberlist.git
 Homepage: https://github.com/hashicorp/memberlist
@@ -23,6 +25,7 @@
 Architecture: all
 Depends: golang-dns-dev,
          golang-github-armon-go-metrics-dev,
+         golang-github-google-btree-dev,
          golang-github-hashicorp-go-msgpack-dev,
          golang-github-hashicorp-go-multierror-dev,
          golang-github-hashicorp-go-sockaddr-dev,

## golang-github-hashicorp-memberlist 0.1.7

=== debian/changelog ===
golang-github-hashicorp-memberlist (0.1.7-1ubuntu1) groovy; urgency=medium

  * d/p/fix-TestMemberlist_SendTo.patch: due to a timing issue this test fails
    in Ubuntu autopkgtest infrastructure. Wait more time to let messages
    arrive before checking for them.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 09 Jul 2020 11:29:42 -0300

golang-github-hashicorp-memberlist (0.1.7-1) unstable; urgency=medium

  * New upstream release.
  * Rules-Requires-Root: no.
  * Standards-Version: 4.5.0.
  * (Build-)Depends:
    = golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~)
    = golang-github-miekg-dns-dev (>= 1.1.26~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 29 Feb 2020 00:57:13 +1100

## golang-github-hashicorp-memberlist 0.2.2

=== debian/changelog ===
golang-github-hashicorp-memberlist (0.2.2-2) unstable; urgency=medium

  * Team upload.
  * Apply patch to fix timing issue in TestMemberlist_SendTo (Closes: #982665)
      Thanks to Lucas Kanashiro
  * Add patch to skip TestMemberList_Ping because it ramdonly fails
      (Closes: #941208)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 18 Aug 2021 17:50:47 +0200

golang-github-hashicorp-memberlist (0.2.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields.

  [ Dmitry Smirnov ]
  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 06 Oct 2020 20:24:39 +1100

=== debian/control ===
--- 
+++ 
@@ -6,31 +6,32 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Standards-Version: 4.4.0
-Build-Depends: debhelper (>= 12~),
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
                golang-dns-dev,
                golang-github-armon-go-metrics-dev,
                golang-github-google-btree-dev,
-               golang-github-hashicorp-go-msgpack-dev,
+               golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~),
                golang-github-hashicorp-go-multierror-dev,
                golang-github-hashicorp-go-sockaddr-dev,
+               golang-github-miekg-dns-dev (>= 1.1.26~),
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-memberlist
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-memberlist.git
 Homepage: https://github.com/hashicorp/memberlist
 XS-Go-Import-Path: github.com/hashicorp/memberlist
+Rules-Requires-Root: no
 
 Package: golang-github-hashicorp-memberlist-dev
 Architecture: all
-Depends: golang-dns-dev,
+Depends: ${misc:Depends},
          golang-github-armon-go-metrics-dev,
          golang-github-google-btree-dev,
-         golang-github-hashicorp-go-msgpack-dev,
+         golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~),
          golang-github-hashicorp-go-multierror-dev,
          golang-github-hashicorp-go-sockaddr-dev,
-         ${misc:Depends},
-         ${shlibs:Depends},
+         golang-github-miekg-dns-dev (>= 1.1.26~),
 Description: Golang package for gossip based membership and failure detection
  memberlist is a Go library that manages cluster membership and member failure
  detection using a gossip based protocol.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/serf-$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
dversionmangle=s/[~+]ds\d*$//,\
repacksuffix=~ds1 \
 https://github.com/hashicorp/memberlist/tags \
 .*/v?(\d[\d\.]*)\.tar\.gz

## golang-github-hashicorp-memberlist 0.3.2

=== debian/changelog ===
golang-github-hashicorp-memberlist (0.3.2-2) unstable; urgency=medium

  * Team upload
  * Add new test--fix_TestRandomOffset.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 20 Jul 2023 20:09:10 +0000

golang-github-hashicorp-memberlist (0.3.2-1) unstable; urgency=medium

  * Team upload.

  [ Daniel Swarbrick ]
  * New upstream release
  * Drop obsolete patch fix-TestMemberlist_SendTo.patch
  * Replace dh-golang with dh-sequence-golang
  * Bump debhelper-compat version to 13
  * d/gbp.conf: update to current team standards
  * d/control:
    - update Maintainer email address
    - change Section to golang
    - add Multi-Arch: foreign

  [ Tianon Gravi ]
  * Remove self from Uploaders

 -- Daniel Swarbrick <dswarbrick@debian.org>  Wed, 19 Jul 2023 14:14:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: golang-github-hashicorp-memberlist
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Tianon Gravi <tianon@debian.org>,
-           Tim Potter <tpot@hpe.com>,
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Tim Potter <tpot@hpe.com>,
            Dmitry Smirnov <onlyjob@debian.org>,
-Section: devel
+Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 12),
-               dh-golang,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-golang,
                golang-any,
                golang-dns-dev,
                golang-github-armon-go-metrics-dev,
@@ -25,13 +24,14 @@
 
 Package: golang-github-hashicorp-memberlist-dev
 Architecture: all
-Depends: ${misc:Depends},
-         golang-github-armon-go-metrics-dev,
+Multi-Arch: foreign
+Depends: golang-github-armon-go-metrics-dev,
          golang-github-google-btree-dev,
          golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~),
          golang-github-hashicorp-go-multierror-dev,
          golang-github-hashicorp-go-sockaddr-dev,
          golang-github-miekg-dns-dev (>= 1.1.26~),
+         ${misc:Depends},
 Description: Golang package for gossip based membership and failure detection
  memberlist is a Go library that manages cluster membership and member failure
  detection using a gossip based protocol.

## golang-github-hashicorp-memberlist 0.4.0

=== debian/changelog ===
golang-github-hashicorp-memberlist (0.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Convert patches to gbp-pq format
  * debian/control:
    - Add missing golang-github-stretchr-testify-dev build-dep
    - Bump Standards-Version to 4.6.2 (no changes)
    - Drop superfluous dependency version constraints
    - Drop superfluous golang-dns-dev virtual build-dep

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 23 Jul 2023 14:14:03 +0000

## golang-github-hashicorp-memberlist 0.5.0

=== debian/changelog ===
golang-github-hashicorp-memberlist (0.5.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Refresh patches

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 27 Jul 2023 13:05:06 +0000

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
-               golang-dns-dev,
                golang-github-armon-go-metrics-dev,
                golang-github-google-btree-dev,
-               golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~),
+               golang-github-hashicorp-go-msgpack-dev,
                golang-github-hashicorp-go-multierror-dev,
                golang-github-hashicorp-go-sockaddr-dev,
-               golang-github-miekg-dns-dev (>= 1.1.26~),
+               golang-github-miekg-dns-dev,
+               golang-github-stretchr-testify-dev,
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-memberlist
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hashicorp-memberlist.git
 Homepage: https://github.com/hashicorp/memberlist
@@ -27,10 +27,10 @@
 Multi-Arch: foreign
 Depends: golang-github-armon-go-metrics-dev,
          golang-github-google-btree-dev,
-         golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~),
+         golang-github-hashicorp-go-msgpack-dev,
          golang-github-hashicorp-go-multierror-dev,
          golang-github-hashicorp-go-sockaddr-dev,
-         golang-github-miekg-dns-dev (>= 1.1.26~),
+         golang-github-miekg-dns-dev,
          ${misc:Depends},
 Description: Golang package for gossip based membership and failure detection
  memberlist is a Go library that manages cluster membership and member failure
